html, body {
    width: 100%;
    height: 100%;
    margin: 0;
}
html {
    font-family: Arial, Helvetica, sans-serif;
}

.nav {
    border-bottom: 1px solid #eaeaeb;
    text-align: right;
    height: 70px;
    line-height: 70px;
}
.menu {
    margin: 0 30px 0 0;
}
.menu a {
    text-decoration: none;
    font-size: 30px;
    color: gray;
    margin: 0 10px;
    line-height: 70px;
}
span {
    color: #54d17a;
}
label {
    margin: 0 40px 0 0;
    font-size: 30px;
    line-height: 70px;
    display: none;
    width: 30px;
    float: right;
}
#toggle {
    display: none;
}

@media only screen and (max-width: 500px){
    label {
        display: block;
        cursor: pointer;
    }
    .menu {
        text-align: center;
        width: 100%;
        display: none;
    }
    .menu a {
        clear: right;
        display: block;
        border-bottom: 1px solid #eaeaeb;
        margin: 0;
    }
    #toggle:checked + .menu {
        display: block;
    }
}